Index: pybind11/tests/CMakeLists.txt
===================================================================
--- pybind11.orig/tests/CMakeLists.txt	2022-02-11 11:45:11.366056436 +0100
+++ pybind11/tests/CMakeLists.txt	2022-02-11 11:45:11.362056404 +0100
@@ -66,15 +66,19 @@
   set(PYBIND11_TEST_EXTRA_TARGETS_ADDITION_${PYBIND11_TEST_EXTRA_TARGETS_LEN} ${additions})
 endmacro()
 
+# There's no harm in including a project in a project
+project(pybind11_tests CXX)
+
+if(DEFINED PYVERSION)
+  find_package(Python ${PYVERSION} EXACT COMPONENTS Interpreter Development)
+endif()
+
 # New Python support
 if(DEFINED Python_EXECUTABLE)
   set(PYTHON_EXECUTABLE "${Python_EXECUTABLE}")
   set(PYTHON_VERSION "${Python_VERSION}")
 endif()
 
-# There's no harm in including a project in a project
-project(pybind11_tests CXX)
-
 # Access FindCatch and more
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/../tools")
 
